|
|
@ -30,6 +30,8 @@ amp_width = 62 |
|
|
|
amp_length = 56 |
|
|
|
amp_height = battery_height + amp_bottom_height |
|
|
|
|
|
|
|
top_width = 1.3 |
|
|
|
|
|
|
|
panel_component_diameter = 7.8 |
|
|
|
panel_distance = 10.5 + ( |
|
|
|
panel_component_diameter / 2 |
|
|
@ -147,6 +149,16 @@ result = ( |
|
|
|
.box(amp_length * 2, 1.5, 1.5, combine="cut") |
|
|
|
) |
|
|
|
|
|
|
|
top = ( |
|
|
|
Workplane() |
|
|
|
.box(amp_length, amp_width + side_width, top_width) |
|
|
|
.center(-10, -(amp_width / 2) - (0.8 / 2)) |
|
|
|
.workplane(offset=-1.0) |
|
|
|
.line(0, amp_width + 0.8, forConstruction=True) |
|
|
|
.vertices() |
|
|
|
.box(amp_length - 20, 1.5, 1.5) |
|
|
|
) |
|
|
|
|
|
|
|
result = result.cut(back_screws) |
|
|
|
|
|
|
|
result = ( |
|
|
@ -157,10 +169,12 @@ result = ( |
|
|
|
|
|
|
|
cq.exporters.export(result, "/home/deck/model_files/amp_case.step") |
|
|
|
cq.exporters.export(back, "/home/deck/model_files/amp_case_back.step") |
|
|
|
cq.exporters.export(top, "/home/deck/model_files/amp_case_top.step") |
|
|
|
|
|
|
|
try: |
|
|
|
# show_object(back) |
|
|
|
# show_object(front_text) |
|
|
|
show_object(result) |
|
|
|
# show_object(result) |
|
|
|
show_object(top) |
|
|
|
except NameError: |
|
|
|
pass |
|
|
|